Bug 225235 - archivers/py-borgbackup: fix pkg-fallout. /usr/local/include/lz4.h has changed to utf-8 in 1.8.1 version and breaks the building
Summary: archivers/py-borgbackup: fix pkg-fallout. /usr/local/include/lz4.h has change...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-16 22:03 UTC by Jose G. Juanino
Modified: 2018-01-18 14:46 UTC (History)
1 user (show)

See Also:


Attachments
Fixes current pkg-fallout (1.95 KB, patch)
2018-01-16 22:03 UTC, Jose G. Juanino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose G. Juanino 2018-01-16 22:03:18 UTC
Created attachment 189812 [details]
Fixes current pkg-fallout

Hi, I attach a git format-patch to fix the current pkg-fallout. See the commit log for details. Regards
Comment 1 Martin Waschbüsch 2018-01-17 18:16:32 UTC
I added myself (maintainer of liblz4) and sunpoet (who commited the last patch of that package).
@sunpoet, do you think your patch of lz4.h might have inadvertently done this?
In any event, a new (sub)version of liblz4 has been created upstream and I am in the process of creating a patch for that.
I hope this will fix the py-borgbackup issue too!
Comment 2 Po-Chuan Hsieh freebsd_committer 2018-01-17 19:14:45 UTC
I could update archivers/liblz4 to 1.8.1.2 but it won't fix the build failure of archivers/py-borgbackup. I've sent a pull request (https://github.com/lz4/lz4/pull/454) for this file format change.
Comment 3 Martin Waschbüsch 2018-01-17 19:20:46 UTC
The reasoning was that fixing this upstream only helps py-borgbackup if we update liblz4 package as well? Anyway, thanks!!
Comment 4 Jose G. Juanino 2018-01-17 20:22:23 UTC
Hi, thanks for the feedback. 

IMHO, the right approach is to revert the lz4.h file encoding to us-ascii, as sunpoet@ points out. In such case, the patch submitted in this PR by myself must be fully ignored. Regards.
Comment 5 Po-Chuan Hsieh freebsd_committer 2018-01-18 13:45:33 UTC
My pull request has been merged but this patch is still needed before the upstream makes a new release.
Comment 6 commit-hook freebsd_committer 2018-01-18 14:45:28 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Jan 18 14:44:12 UTC 2018
New revision: 459350
URL: https://svnweb.freebsd.org/changeset/ports/459350

Log:
  Fix build with include/lz4.h which is in UTF-8 format

  This can be removed with newer liblz4 since the file format has been changed back to ASCII.

  PR:		225235
  Submitted by:	Jose Garcia Juanino <jjuanino@gmail.com> (maintainer)
  Reference:	https://github.com/lz4/lz4/pull/454

Changes:
  head/archivers/py-borgbackup/files/
  head/archivers/py-borgbackup/files/patch-setup_lz4.py
Comment 7 Po-Chuan Hsieh freebsd_committer 2018-01-18 14:46:57 UTC
Committed. Thanks!